// Create Shortcut
// By Pike

var CreateShortcutSettings = {

	onLoad: function()
	{
		// Setup object properties
		this.prefBranch = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch('createshortcut.');
		this.promptField = document.getElementById('prompt');
		this.overwriteField = document.getElementById('overwrite');
		this.prefixField = document.getElementById('prefix');
		this.suffixField = document.getElementById('suffix');
		
		// Init prompt control
		var prompt = true;
		try
		{
			prompt = this.prefBranch.getBoolPref('prompt');
		}
		catch (err) {}
		if (prompt)
		{
			this.promptField.selectedItem = document.getElementById('show');
		}
		else
		{
			this.promptField.selectedItem = document.getElementById('none');
		}
		
		// Init overwrite control
		var overwrite = true;
		try
		{
			overwrite = this.prefBranch.getBoolPref('overwrite');
		}
		catch (err) {}
		this.overwriteField.checked = overwrite;
		
		// Init prefix control
		var prefix = '';
		try
		{
			prefix = this.prefBranch.getComplexValue('prefix', Components.interfaces.nsIPrefLocalizedString).data;
		}
		catch (err) {}
		this.prefixField.value = prefix;
		
		// Init suffix control
		var suffix = '';
		try
		{
			suffix = this.prefBranch.getComplexValue('suffix', Components.interfaces.nsIPrefLocalizedString).data;
		}
		catch (err) {}
		this.suffixField.value = suffix;
	},
	
	onAccept: function()
	{
		var prompt = true;
		if (this.promptField.selectedItem.id == 'none')
		{
			prompt = false;
		}
		this.prefBranch.setBoolPref('prompt', prompt);
		this.prefBranch.setBoolPref('overwrite', this.overwriteField.checked);		
		var prefix = Components.classes['@mozilla.org/supports-string;1'].createInstance(Components.interfaces.nsISupportsString);
		prefix.data = this.trimString(this.prefixField.value);
		this.prefBranch.setComplexValue('prefix', Components.interfaces.nsISupportsString, prefix);
		var suffix = Components.classes['@mozilla.org/supports-string;1'].createInstance(Components.interfaces.nsISupportsString);
		suffix.data = this.trimString(this.suffixField.value);
		this.prefBranch.setComplexValue('suffix', Components.interfaces.nsISupportsString, suffix);
	},
	
	trimString: function(string)
	{
		return string.replace(/(^\s+)|(\s+$)/g, '');
	}
};
